import glob, os, sys, re
import qmol

xyz_list = glob.glob('*.xyz')
for xyzfile in xyz_list:
   name_root = re.search('(\S+).xyz', xyzfile).group(1)
   frgm_file = name_root+'.frgm'
   fw = open(frgm_file, 'w')
   fw.write("-1\n") #total charge
   fw.write("2\n") #total mult
   fw.write("0 -1\n")
   fw.write("1 2\n")
   natoms = qmol.XYZ(xyzfile).NAtom
   fw.write("%d %d" %(natoms-3, 3))
   fw.close()
